// ***************************************************************************
//DESCRIPTION:
//		Include this file if you require event logging in your system.
//		You should have a look at the MSDN article "The NT EventLog, 
//		Part 1: Meet the API" for an understanding of how events are used.
//
//		Checkout PTTA_JRM-2000-022 Writing to Event Log to set
//		the PrintrakBneLog.dll to display error messages correctly
//
//REQUIREMENTS:
//		The Applications name (alias) must be defines before
//		this header
//			ie
//			#define EVENT_APP_TITLE	_T("DamCool")
//
//		The build number must also be defines
//			ie
//			#include "Revision.h"
//
//INSTALLATION:
//		When writing to the Event log you need a file listing the formatting
//		For the event view to locate this file put the following into a
//		*.reg file and add double click on it to install. Replace DamCool!
//
//
//			REGEDIT4
//			
//			[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\EventLog\Application\DamCool]
//			"EventMessageFile"="%SystemRoot%\\System32\\PrintrakBneLog.dll"
//			"CategoryMessageFile"="%SystemRoot%\\System32\\PrintrakBneLog.dll"
//			"TypesSupported"=dword:00000007
//			"CategoryCount"=dword:00000001
//		
//
//CREATED:
//		29-6-2000, 14:19:25 by john@mctainsh.com
// ***************************************************************************

#if !defined(EventLogWriter_F4B3F0F8_4D76_11d4_AB81_D8E76D000000)
#define EventLogWriter_F4B3F0F8_4D76_11d4_AB81_D8E76D000000

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "F:\VC\PrintrakBneLog\Messages.h"


//Check build no called
#ifndef BUILD_NO_NO
	#error include 'Revision.h' to use this file
#endif
//Check title defined
#ifndef EVENT_APP_TITLE
	#error define EVENT_APP_TITLE with the application name to use this file
#endif

//Function Prototypes
void WriteEvent( WORD wType, const char *fmt, ... );

#endif