


<!-- #include virtual="/Inc/NoteHeader.inc" --> 

<br>
<img src="/Images/DownLoad.gif"> <a href="AdoVbDemo.zip">Download demo ASP and MDB files - 12 Kb </a><br>

<h4>Description.</h4>
      
<p>The Microsoft ActiveX Data Objects (ADO) object model defines a collection of programmable 
objects that can be used in any language that supports both COM and Automation to access Databases. In 
this example we will be using ADO to access a Microsoft Access Database.
      
<p>Note: I have been working on ADO for 5 days now and this is what I have learnt in this
time. Also remember you need Microsoft IIS running on the server since this is all
server side processing.

   
<h4>How to use it.</h4>
      
Start as always by inserting <code>&lt;%@ LANGUAGE = VBScript %&gt;</code> at the top of the page.
The file I will be working with is called <code>TestADO.mdb</code>. When setting these demos
up for yourself de sure to change the <code>DBQ=D:\Inetpub\DevelopmentPrivate\TestADO.mdb;</code> path
to your local path.



<h4>Modifying data in the database. (Editing records)</h4>
      
The important code in this block is where the data is changed in the database. 
Click <a href=AdoEditDemo.asp title="ADO Edit Demo"> here</a> to view the results. Note
an important feature of ASP that is demonstrated in this sample is its ability
to post messages to itself. In this way the form and processing logic can be
kept in the same page.

<pre>
<font color="#006600">'Connects to the Access driver and Access database in the Inetpub</font>
<font color="#006600">'directory where the database is saved</font>
strProvider <font color="#FF0000">=</font> <font color="#FF00FF">"Driver={Microsoft Access Driver (*.mdb)};"</font> <font color="#FF0000">&</font>_
              <font color="#FF00FF">"DBQ=D:\Inetpub\Development\ASP\TestADO.mdb;"</font>
    
<font color="#006600">'Instantiate a Recordset object and open a recordset using</font>
<font color="#006600">'the Open method </font>
<font color="#0088FF">Set</font> rst <font color="#FF0000">=</font> Server.CreateObject<font color="#FF0000">(</font><font color="#FF00FF">"ADODB.recordset"</font><font color="#FF0000">)</font>

<font color="#006600">'Save the new values to the table</font>
sql <font color="#FF0000">=</font>    <font color="#FF00FF">"UPDATE Comment"</font> <font color="#FF0000">&</font>_
        <font color="#FF00FF">" SET Comment.Author = '"</font> <font color="#FF0000">&</font> strNewAuthor <font color="#FF0000">&</font> <font color="#FF00FF">"'"</font> <font color="#FF0000">&</font>_
        <font color="#FF00FF">" WHERE Comment.ID = "</font> <font color="#FF0000">&</font> nRowID <font color="#FF0000">&</font> <font color="#FF00FF">";"</font>
rst.open sql<font color="#FF0000">,</font>strProvider
</pre>



<h4>What needs further investigation.</h4>

We are not doing any error handling. If any one knows how to do this add it to the comments.
      
<!-- #include virtual="/Inc/NoteFooter.inc" --> 




