


<!-- #include virtual="/Inc/NoteHeader.inc" --> 

   
	<img src='/images/DownLoad.gif'>&nbsp;<a href="pathpicker/PathPicker_exe.zip">Download demo executable - 64 Kb </a><br>
	<img src='/images/DownLoad.gif'>&nbsp;<a href="pathpicker/PathPicker_src.zip">Download project and source - 18 Kb</a><br>
	<img src='/images/DownLoad.gif'>&nbsp;<a href="pathpicker/PathPicker_TrySdiTree.zip">Download SDI / CTreeView project sample - 22 Kb</a>
	
	<p><img src="pathpicker/PathPicker.gif" alt="Path Picker Dialog Image" width="281" height="331"></p>
	
	<p>This dialog class displays a directory tree similar to the one found in "Find in Files" Browse 
	button. Shown above. 
	
	<p>I have noticed several applications requiring a user to select a path that often use 
	CFileDialog which does not fit the task very well. A better option is to use a Tree 
	control but I have not found any that allow access to the network other than via 
	mapped drives. Both methods lack the style that "Find in Files" provides. 
	I have also spent some time trying to use SHBrowseForFolder but to date have had little success.
	
	
	
	<h4>Why not just use SHBrowseForFolder.</h4>
	Although SHBrowseForFolder provides all this functionality and more it does come with the following drawbacks.
	<ul>
	<li>Documentation is difficult to understand and lacks good examples.</li> 
	<li>Syntax is very cryptic. </li>
	<li>Many lines of code plus callbacks are necessary to do simply tasks such as set the inital path. </li>
	<li>The SHBrowseForFolder dialog can not be customized to any great extent. ie Changing the
	dialogs layout or Adding a control showing information about the selected directory is not 
	possible.</li>
	</ul>
	<p>
	

	<h4>How to use it.</h4>
	
	<p>I have developed a Dialog for easy implementation. The source is written 
	to put the Dialog object into a single class so it can be hacked out and used in 
	any willing developers code. 
	
	
	<ol>
	<li>Copy the source files DlgGetPath.cpp and DlgGetPath.h to your Project directory and 
	add them to your project. </li>
	<li>From within your project open the TryNetworkTree.rc file and drag the Bitmap (IDB_FILE_TYPES) 
	and Dialog (IDD_GET_PATH) into your project. </li>
	<li>Add the mpr.lib in to be linked into your application. To do this select Project->Settings to open the Project settings dialog. Select the Link tab and from the drop down box select the General Catagory. In the Object/Link modules edit type in mpr.lib</li>
	<li>Add the following code where you want to activate the Picker dialog. ie in a 
	button handler. </li>
	</ol>
		
	
<pre>
<font color="#006600">//#include "DlgGetPath.h"          //Definition to get path</font>
...
<font color="#0088FF">void</font> CBlarOnButtonBrowse<font color="#FF0000">(</font><font color="#FF0000">)</font>
<font color="#FF0000">{</font>
    CDlgGetPath dlgPath<font color="#FF0000">(</font> <font color="#0088FF">this</font> <font color="#FF0000">)</font><font color="#FF0000">;</font>
    dlgPath.SetPath<font color="#FF0000">(</font> _T<font color="#FF0000">(</font><font color="#FF00FF">"C:\\Temp"</font><font color="#FF0000">)</font> <font color="#FF0000">)</font><font color="#FF0000">;</font>
    <font color="#0088FF">if</font><font color="#FF0000">(</font> dlgPath.DoModal<font color="#FF0000">(</font><font color="#FF0000">)</font> <font color="#FF0000">=</font><font color="#FF0000">=</font> IDOK <font color="#FF0000">)</font>
    <font color="#FF0000">{</font>
        <font color="#006600">//Do some cool stuff with it here</font>
        <font color="#006600">//SetDlgItemText( IDC_EDIT_SEARCH_IN, dlgPath.GetPath() );</font>
    <font color="#FF0000">}</font>
</pre>
	
	
	<h4>Using selection event.</h4>
	When the user selects a branch in the tree it is possible to catch this event 
	and use the selected path to perform some action. For example windows explorer 
	uses the selection of a branch in the left pane to display the directory 
	in the right pane. To do this place code at the end
	of <code>CDlgGetPath::OnSelchangedTree</code> at around line 391. The path is available   
	and is displayed at the top of the dialog for this sample.<br><br> 


<pre>
    <font color="#006600">//</font>
    <font color="#006600">//TODO add code here to process users selection</font>
    <font color="#006600">//</font>
    ASSERT<font color="#FF0000">(</font> GetDlgItem<font color="#FF0000">(</font> IDC_STATIC_NOTE <font color="#FF0000">)</font> <font color="#FF0000">)</font><font color="#FF0000">;</font>
    SetDlgItemText<font color="#FF0000">(</font> IDC_STATIC_NOTE<font color="#FF0000">,</font> sPath <font color="#FF0000">)</font><font color="#FF0000">;</font> 
</pre>


	<h4>Enhancements.</h4>
	
	<ul>
	<li>Display the recycle bin appropiatly.</li>
	<li>Display the contents of the recycle bin with out S- numbers. </li>
	<li>Sort items when added except for "Entire Network". </li>
	<li>Check on a more complex network. </li>
	<li>Determine why icon disappears from the ALT-TAB bar when active?</li>
	<li>Handle WNetEnumResource for more than 16384 bytes of data.</li>
	<li>It would be nice to read the system icons with SHGetFileInfo and use them.</li>
	</ul>
	
	<h4>History</h4>
	
	<p>Date Posted: May 30, 1999 - CodeGuru
	<ul>
	<li>Inital release. </li>
	</ul>
	<p>Date Posted: September 7, 2000 - Code Project
	<ul>
	<li>Added Sven Wiegand fix for GetDriveType.</li>
	<li>Added SetPath( blar ); to allow the preset expansion of a given path. </li>
	<li>Notes on SHBrowseForFolder (No code change)? </li>
	</ul>
	
<!-- #include virtual="/Inc/NoteFooter.inc" --> 




