/////////////////////////////////////////////////////////////////////////////
// TrayNot.h : header file
//
// This is a part of the Webster HTTP Server application
// for Microsoft Systems Journal
//

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "resource.h"								// main symbols

enum enumIconType { ePlain, eBlink1, eBlink2 };

/////////////////////////////////////////////////////////////////////////////
// CTrayNot window
class CTrayNot : public CObject
{
// Construction
public:
	CTrayNot ( CWnd* pWnd, UINT uCallbackMessage, LPCTSTR szTip) ;

// Attributes
public:
	void SetIconType( enumIconType eType );

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTrayNot)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTrayNot();


// Attributes
private:
	HICON			m_hIconPlain;					//Handy icons
	HICON			m_hIconBlink1;					//..
	HICON			m_hIconBlink2;					//..
	enumIconType	m_CurType;						//Current type of icon
	BOOL			m_bEnabled ;					// does O/S support tray icon?
	NOTIFYICONDATA	m_tnd;							//Tray item

};

/////////////////////////////////////////////////////////////////////////////
