//
// Listener.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "SockListener.h"

// ***************************************************************************
//DESCRIPTION:
//		Main application to create a listening socket and service connections
//		with smple echo
//CREATED:
//		10-12-2000, 2:15:03 AM by john@mctainsh.com
// ***************************************************************************
int main(int /*argc*/, char* /*argv[]*/)
{
	printf("Starting listener!\n");

	//Initialise Winsock API
	if( CSockListener::SocketInit() )
	{
		printf( _T("*** WinSock API could not be initialised\n") );
		return -1;
	}

	//Create a simple listener
	CSockListener sockListener;

	if( !sockListener.Create( 392 ) )
	{	
		char szWASError[WSA_ERROR_LEN];
		sockListener.WSAGetLastErrorMessage( szWASError );
		printf( _T("*** Create Error: %s\n"), szWASError );
		return -1;
	}

	if( !sockListener.Listen() )
	{	
		char szWASError[WSA_ERROR_LEN];
		sockListener.WSAGetLastErrorMessage( szWASError );
		printf( _T("*** Listen Error: %s\n"), szWASError );
		return -1;
	}

	//Now just keep the application alive for ever
	Sleep( INFINITE );

	return 0;
}

