


<!-- #include virtual="/Inc/NoteHeader.inc" --> 

<br>
<img src="/Images/DownLoad.gif"> <a href="AdoVbDemo.zip">Download demo ASP and MDB files - 12 Kb </a><br>

<h4>Description.</h4>
      
<p>The Microsoft ActiveX Data Objects (ADO) object model defines a collection of programmable 
objects that can be used in any language that supports both COM and Automation to access Databases. In 
this example we will be using ADO to access a Microsoft Access Database.
      
<p>Note: I have been working on ADO for 5 days now and this is what I have learnt in this
time. Also remember you need Microsoft IIS running on the server since this is all
server side processing.

   
<h4>How to use it.</h4>
      
Start as always by inserting <code>&lt;%@ LANGUAGE = VBScript %&gt;</code> at the top of the page.
The file I will be working with is called <code>TestADO.mdb</code>. When setting these demos
up for yourself de sure to change the <code>DBQ=D:\Inetpub\DevelopmentPrivate\TestADO.mdb;</code> path
to your local path.



<h4>Deleting data in the database. (Removing records)</h4>
      
The important code in this block is where the data is deleted from the database. 
Click <a href=AdoDeleteDemo.asp title="ADO Delete Demo"> here</a> to view the results. Note
an important feature of ASP that is demonstrated in this sample is its ability
to post messages to itself. In this way the form and processing logic can be
kept in the same page. Note, there is no check to see if the record existed
before the delete and no error handling here.

<pre>
<font color="#006600">'This is processing of the Form Request</font>
strRowID <font color="#FF0000">=</font> request.form<font color="#FF0000">(</font><font color="#FF00FF">"RowID"</font><font color="#FF0000">)</font>

strProvider <font color="#FF0000">=</font> <font color="#FF00FF">"Driver={Microsoft Access Driver (*.mdb)};"</font> <font color="#FF0000">&</font>_
              <font color="#FF00FF">"DBQ=D:\Inetpub\Development\ASP\TestADO.mdb;"</font>
    
<font color="#006600">'Creates an instance of an Active server component</font>
<font color="#0088FF">set</font> objConn <font color="#FF0000">=</font> server.createobject<font color="#FF0000">(</font><font color="#FF00FF">"ADODB.Connection"</font><font color="#FF0000">)</font>
objConn.Open strProvider
        
<font color="#006600">'Instantiate Command object and use ActiveConnection property to</font>
<font color="#006600">'attach connection to Command object</font>
<font color="#0088FF">set</font> cm <font color="#FF0000">=</font> Server.CreateObject<font color="#FF0000">(</font><font color="#FF00FF">"ADODB.Command"</font><font color="#FF0000">)</font>
cm.ActiveConnection <font color="#FF0000">=</font> objConn
        
<font color="#006600">'Define SQL query</font>
cm.CommandText <font color="#FF0000">=</font> <font color="#FF00FF">"DELETE FROM Comment WHERE ID = "</font> <font color="#FF0000">&</font>strRowID
cm.Execute

Response.Write<font color="#FF0000">(</font> <font color="#FF00FF">"If the Record existed then it was deleted."</font> <font color="#FF0000">)</font>

</pre>

<h4>What needs further investigation.</h4>

We are not doing any error handling. If any one knows how to do this add it to the comments.
      
<!-- #include virtual="/Inc/NoteFooter.inc" --> 




