


<!-- #include virtual="/Inc/NoteHeader.inc" --> 

<br>
<img src="/Images/DownLoad.gif"> <a href="AdoVbDemo.zip">Download demo ASP and MDB files - 12 Kb </a><br>


<h4>Description.</h4>
      
<p>The Microsoft ActiveX Data Objects (ADO) object model defines a collection of programmable 
objects that can be used in any language that supports both COM and Automation to access Databases. In 
this example we will be using ADO to access a Microsoft Access Database.
      
<p>Note: I have been working on ADO for 5 days now and this is what I have learnt in this
time. Also remember you need Microsoft IIS running on the server since this is all
server side processing.

   
<h4>How to use it.</h4>
      
Start as always by inserting <code>&lt;%@ LANGUAGE = VBScript %&gt;</code> at the top of the page.
The file I will be working with is called <code>TestADO.mdb</code>. When setting these demos
up for yourself de sure to change the <code>DBQ=D:\Inetpub\DevelopmentPrivate\TestADO.mdb;</code> path
to your local path.

<h4>Read data from the database. (View recordes)</h4>
      
The important code in this block is where the record is read from the database. 
Click <a href=AdoReadDemo.asp title="ADO Read Demo"> here</a> to view the results.
      
<pre>
<font color="#006600">'Create and open connection to the data source</font>
strProvider <font color="#FF0000">=</font> <font color="#FF00FF">"Driver={Microsoft Access Driver (*.mdb)};"</font> <font color="#FF0000">&</font>_
              <font color="#FF00FF">"DBQ=D:\Inetpub\Development\ASP\TestADO.mdb;"</font>

<font color="#006600">'Setup the match query</font>
strQuery <font color="#FF0000">=</font> <font color="#FF00FF">"SELECT * FROM Comment;"</font>
    
<font color="#006600">'Instantiate a Recordset object and open a recordset using the Open method </font>
<font color="#0088FF">Set</font> rst <font color="#FF0000">=</font> Server.CreateObject<font color="#FF0000">(</font><font color="#FF00FF">"ADODB.recordset"</font><font color="#FF0000">)</font>
rst.Open strQuery<font color="#FF0000">,</font> strProvider

<font color="#0088FF">ON</font> ERROR <font color="#0088FF">RESUME</font> <font color="#0088FF">NEXT</font>
<font color="#0088FF">While</font> <font color="#FF0000">(</font> <font color="#0088FF">not</font> rst.EOF <font color="#FF0000">)</font>
    strAuthor          <font color="#FF0000">=</font> rst<font color="#FF0000">(</font> <font color="#FF00FF">"Author"</font> <font color="#FF0000">)</font>
    nAge               <font color="#FF0000">=</font> rst<font color="#FF0000">(</font> <font color="#FF00FF">"Age"</font> <font color="#FF0000">)</font>
    strMessage         <font color="#FF0000">=</font> rst<font color="#FF0000">(</font> <font color="#FF00FF">"Message"</font> <font color="#FF0000">)</font>
    dateLastRefreshed  <font color="#FF0000">=</font> rst<font color="#FF0000">(</font> <font color="#FF00FF">"LastRefreshed"</font> <font color="#FF0000">)</font>
    
    nDay    <font color="#FF0000">=</font> Day<font color="#FF0000">(</font> dateLastRefreshed <font color="#FF0000">)</font>
    nMonth  <font color="#FF0000">=</font> Month<font color="#FF0000">(</font> dateLastRefreshed <font color="#FF0000">)</font>
    nYear   <font color="#FF0000">=</font> Year<font color="#FF0000">(</font> dateLastRefreshed <font color="#FF0000">)</font>
    
    <font color="#FF0000">%</font><font color="#FF0000">></font>
    <font color="#FF0000"><</font>tr<font color="#FF0000">></font>
        <font color="#FF0000"><</font>td<font color="#FF0000">></font><font color="#FF0000"><</font><font color="#FF0000">%</font><font color="#FF0000">=</font>strAuthor<font color="#FF0000">%</font><font color="#FF0000">></font><font color="#FF0000"><</font><font color="#FF0000">/</font>td<font color="#FF0000">></font>
        <font color="#FF0000"><</font>td<font color="#FF0000">></font><font color="#FF0000"><</font><font color="#FF0000">%</font><font color="#FF0000">=</font>nAge<font color="#FF0000">%</font><font color="#FF0000">></font><font color="#FF0000"><</font><font color="#FF0000">/</font>td<font color="#FF0000">></font>
        <font color="#FF0000"><</font>td<font color="#FF0000">></font><font color="#FF0000"><</font><font color="#FF0000">%</font><font color="#FF0000">=</font>strMessage<font color="#FF0000">%</font><font color="#FF0000">></font><font color="#FF0000"><</font><font color="#FF0000">/</font>td<font color="#FF0000">></font>
        <font color="#FF0000"><</font>td<font color="#FF0000">></font><font color="#FF0000"><</font><font color="#FF0000">%</font><font color="#FF0000">=</font>nDay<font color="#FF0000">%</font><font color="#FF0000">></font><font color="#FF0000">-</font><font color="#FF0000"><</font><font color="#FF0000">%</font><font color="#FF0000">=</font>nMonth<font color="#FF0000">%</font><font color="#FF0000">></font><font color="#FF0000"><</font><font color="#FF0000">%</font><font color="#FF0000">=</font>nYear<font color="#FF0000">%</font><font color="#FF0000">></font><font color="#FF0000"><</font><font color="#FF0000">/</font>td<font color="#FF0000">></font>
    <font color="#FF0000"><</font><font color="#FF0000">/</font>tr<font color="#FF0000">></font>    
    <font color="#FF0000"><</font><font color="#FF0000">%</font>
    
    rst.MoveNext
<font color="#0088FF">Wend</font>

</pre>




<h4>What needs further investigation.</h4>

We are not doing any error handling. If any one knows how to do this add it to the comments.
      
<!-- #include virtual="/Inc/NoteFooter.inc" --> 




