


<!-- #include virtual="/Inc/NoteHeader.inc" --> 

      <h4>Description.</h4>
      
      
      <p>Displaying an animation during long operations can stop the user
      thinking the application has crashed. This is simular to the file moving
      from folder to folder during a long copy request in windows explorer.&nbsp;</p>
      
      
      <h4>Solution.</h4>
      
      
      <ul>
        <li>In the IDE add a resource symbol called <code>IDAVI_LOGO</code>.</li>
        <li>To do this Select View->Resource Symbols->New.</li>
        <li>Place the AVI file into the <code>MyApplication\Res</code> directory.</li>
        <li>Add the AVI file to VSS.</li>
        <li>Add the following line to <code>MyApplication.rc2</code> 
        		(In this example the AVI file is called <code>LoadCell</code>.</li>
      </ul>    
<pre>
    IDAVI_LOGO  AVI     res\LoadCell.Avi
</pre>

    <ul>
        <li>Where the AVI is to be played place the following code. Note in
          this example the AVI has been created as <code>m_AnimateLogo</code>.</li>
     </ul>   

<pre>
    m_AnimateLogo.Open<font color="#FF0000">(</font> IDAVI_LOGO <font color="#FF0000">)</font><font color="#FF0000">;</font> 
    m_AnimateLogo.Play<font color="#FF0000">(</font> <font color="#6600FF">0</font><font color="#FF0000">,</font> <font color="#FF0000">-</font><font color="#6600FF">1</font><font color="#FF0000">,</font> <font color="#FF0000">-</font><font color="#6600FF">1</font> <font color="#FF0000">)</font><font color="#FF0000">;</font>
</pre>

<!-- #include virtual="/Inc/NoteFooter.inc" --> 




