


<!-- #include virtual="/Inc/NoteHeader.inc" --> 

<h4>Description.</h4>
      
      <p>Common file dialog boxes provide an easy way to implement File Open and File Save As 
      dialog boxes (as well as other file-selection dialog boxes) in a manner consistent 
      with Windows standards.

   
<h4>How to use it.</h4>
      
      The following code displays the standard windows file dialog. In a standard 
      MFC application it is not usually necessary to <code>#include &lt;afxdlgs.h&gt;</code>. 
      But if problems occur try it.
      
<pre>
    <font color="#006600">//</font>
    <font color="#006600">//Call the Dialog</font>
    <font color="#006600">//</font>
    <font color="#0088FF">static</font> <font color="#0088FF">char</font> szFilter<font color="#FF0000">[</font><font color="#FF0000">]</font> <font color="#FF0000">=</font> _T<font color="#FF0000">(</font><font color="#FF00FF">"Text (*.txt)|*.txt|"</font><font color="#FF0000">)</font>
                             _T<font color="#FF0000">(</font><font color="#FF00FF">"Database Files (*.mdb)|*.mdb|"</font><font color="#FF0000">)</font>
                             _T<font color="#FF0000">(</font><font color="#FF00FF">"All Files (*.*)|*.*||"</font><font color="#FF0000">)</font><font color="#FF0000">;</font>
    CFileDialog fd<font color="#FF0000">(</font> 
            <font color="#0088FF">true</font><font color="#FF0000">,</font> 
            NULL<font color="#FF0000">,</font> 
            _T<font color="#FF0000">(</font><font color="#FF00FF">"Wally"</font><font color="#FF0000">)</font><font color="#FF0000">,</font> 
            OFN_HIDEREADONLY <font color="#FF0000">|</font> OFN_FILEMUSTEXIST <font color="#FF0000">|</font> OFN_PATHMUSTEXIST<font color="#FF0000">,</font>
            szFilter<font color="#FF0000">,</font> 
            <font color="#0088FF">this</font> <font color="#FF0000">)</font><font color="#FF0000">;</font>
    fd.m_ofn.lpstrInitialDir <font color="#FF0000">=</font> _T<font color="#FF0000">(</font><font color="#FF00FF">"C:\\Temp"</font><font color="#FF0000">)</font><font color="#FF0000">;</font>
    <font color="#0088FF">if</font><font color="#FF0000">(</font> fd.DoModal<font color="#FF0000">(</font><font color="#FF0000">)</font> <font color="#FF0000">=</font><font color="#FF0000">=</font> IDOK <font color="#FF0000">)</font>
    <font color="#FF0000">{</font>
        MessageBox<font color="#FF0000">(</font> fd.GetPathName<font color="#FF0000">(</font><font color="#FF0000">)</font><font color="#FF0000">,</font>
                    _T<font color="#FF0000">(</font><font color="#FF00FF">"File Name"</font><font color="#FF0000">)</font><font color="#FF0000">,</font> MB_ICONINFORMATION <font color="#FF0000">)</font><font color="#FF0000">;</font>
    <font color="#FF0000">}</font>
</pre>
      

<!-- #include virtual="/Inc/NoteFooter.inc" --> 




