


<!-- #include virtual="/Inc/NoteHeader.inc" --> 

      <h4>Description.</h4>
      
      
      <p>The reason the 32x32 icon is loaded is because constructor's call
      to<br>
      <code>m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);</code><br>
      only loads the 32x32 icon resource.</p>
      
      <h4>Solution.</h4>
      
      
      <p>To load the correct 16x16 resource
      <code>LoadImage</code> must be called as shown below.</p>
      

<pre>
<font color="#006600">/////////////////////////////////////////////////////////////////////////////</font>
<font color="#006600">// CDlgSyntaxColourHtml message handlers</font>
BOOL CDlgSyntaxColourHtml<font color="#FF0000">:</font><font color="#FF0000">:</font>OnInitDialog<font color="#FF0000">(</font><font color="#FF0000">)</font>
<font color="#FF0000">{</font>
    TRACE<font color="#FF0000">(</font> _T<font color="#FF0000">(</font><font color="#FF00FF">"CDlgSyntaxColourHtml::OnInitDialog()\n"</font><font color="#FF0000">)</font> <font color="#FF0000">)</font><font color="#FF0000">;</font>
    CDialog<font color="#FF0000">:</font><font color="#FF0000">:</font>OnInitDialog<font color="#FF0000">(</font><font color="#FF0000">)</font><font color="#FF0000">;</font>

    <font color="#006600">// Set the icon for this dialog.  The framework does this automatically</font>
    <font color="#006600">//  when the application's main window is not a dialog</font>
    SetIcon<font color="#FF0000">(</font>m_hIcon<font color="#FF0000">,</font> TRUE<font color="#FF0000">)</font><font color="#FF0000">;</font>         <font color="#006600">// Set big icon</font>
    HICON hIcon <font color="#FF0000">=</font> <font color="#FF0000">(</font>HICON<font color="#FF0000">)</font>LoadImage<font color="#FF0000">(</font>
                AfxGetInstanceHandle<font color="#FF0000">(</font><font color="#FF0000">)</font><font color="#FF0000">,</font>
                MAKEINTRESOURCE<font color="#FF0000">(</font>IDR_MAINFRAME<font color="#FF0000">)</font><font color="#FF0000">,</font>
                IMAGE_ICON<font color="#FF0000">,</font> <font color="#6600FF">16</font><font color="#FF0000">,</font> <font color="#6600FF">16</font><font color="#FF0000">,</font> LR_SHARED <font color="#FF0000">)</font><font color="#FF0000">;</font>
    ASSERT<font color="#FF0000">(</font> hIcon <font color="#FF0000">)</font><font color="#FF0000">;</font>
    SetIcon<font color="#FF0000">(</font> hIcon<font color="#FF0000">,</font> FALSE <font color="#FF0000">)</font><font color="#FF0000">;</font>        <font color="#006600">// Set Small icon</font>
</pre>
  

      
<!-- #include virtual="/Inc/NoteFooter.inc" --> 




