//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//


//
// Define the severity codes
//


//
// MessageId: MC_WELCOME
//
// MessageText:
//
//  Welcome from Printrak (Brisbane). This is the message log built
//  1/June/2000 11:36.
//
#define MC_WELCOME                       0x00000001L

//
// MessageId: MC_ERROR_MSG
//
// MessageText:
//
//  Error: %1
//
#define MC_ERROR_MSG                     0x00001000L

//
// MessageId: MC_NOTE_MSG
//
// MessageText:
//
//  Note: %1
//
#define MC_NOTE_MSG                      0x00001001L

//
// MessageId: MC_PLAIN_TEXT_1
//
// MessageText:
//
//  %1
//
#define MC_PLAIN_TEXT_1                  0x00001010L

//
// MessageId: MC_PLAIN_TEXT_2
//
// MessageText:
//
//  %1 %2
//
#define MC_PLAIN_TEXT_2                  0x00001011L

