// DemoMFCDlg.h : header file
//

#if !defined(AFX_DEMOMFCDLG_H__494A6559_1609_488F_9DA6_5CD5E3BD52CC__INCLUDED_)
#define AFX_DEMOMFCDLG_H__494A6559_1609_488F_9DA6_5CD5E3BD52CC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#import "..\DemoCallback\debug\DemoCallback.dll" named_guids raw_interfaces_only 
using namespace DEMOCALLBACKLib;


/////////////////////////////////////////////////////////////////////////////
// Connected interface called from Server
//WARNING:	It is assumed this object is heap based. Always create it
//			using new.
class CCallbackEntry : public ICallbackEntry
{
//Operators
public:
	STDMETHODIMP JrmEvent1()
    {
		MessageBox( NULL, "Event recievec at JrmEvent1()", "Recieved from Server!", MB_OK );
        return S_OK;
    }

//
//The following is general fluff that should be moved off into a template
//
public:
   CCallbackEntry() : m_nRefCount(0) {}
	STDMETHODIMP QueryInterface(REFIID riid, void** ppv)
    {
        if (riid == IID_IUnknown || riid == IID_ICallbackEntry)
            *ppv=this;
        else
            return *ppv=0,E_NOINTERFACE;
		AddRef();
        return S_OK;
    }

    STDMETHODIMP_(ULONG) AddRef()
    {
        return ++m_nRefCount;
    }

    STDMETHODIMP_(ULONG) Release()
    {
        if (!--m_nRefCount)
        {
            delete this;
            return 0;
        }
        return m_nRefCount;
    }
//Attributes 
private:
	ULONG m_nRefCount;
};


/////////////////////////////////////////////////////////////////////////////
// CDemoMFCDlg dialog
class CDemoMFCDlg : public CDialog
{
// Construction
public:
	CDemoMFCDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDemoMFCDlg)
	enum { IDD = IDD_DEMOMFC_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDemoMFCDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDemoMFCDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

//Attributes
private:
    ICallbackServer* m_pServer;                     //Connection to server
    CCallbackEntry *m_pCallBack;                    //Callback interface

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEMOMFCDLG_H__494A6559_1609_488F_9DA6_5CD5E3BD52CC__INCLUDED_)
